## org.eclipse.ocl.ecore.util
Class EcoreAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.ocl.ecore.util.EcoreAdapterFactory

All Implemented Interfaces:
  AdapterFactory

    public class EcoreAdapterFactory

extends AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `EcorePackage`

Field Summary
`protected static EcorePackage` `modelPackage` The cached model package
`protected EcoreSwitch<Adapter>` `modelSwitch` The switch that delegates to the `createXXX` methods

Constructor Summary
`EcoreAdapterFactory()` Creates an instance of the adapter factory

Method Summary
`Adapter` `createAdapter(Notifier target)` Creates an adapter for the `target`
`Adapter` `createAnyType_1Adapter()` Deprecated. Since 1.3, override the `createTypes_AnyTypeAdapter` method, instead.
`Adapter` `createAnyTypeAdapter()` Creates a new adapter for an object of class '`Any Type`'
`Adapter` `createAssociationClassCallExp_1Adapter()` Deprecated. Since 1.3, override the `createExpressions_AssociationClassCallExpAdapter` method, instead.
`Adapter` `createAssociationClassCallExpAdapter()` Creates a new adapter for an object of class '`Association Class Call Exp`'
`Adapter` `createASTNodeAdapter()` Creates a new adapter for an object of class '`AST Node`'
`Adapter` `createBagType_1Adapter()` Deprecated. Since 1.3, override the `createTypes_BagTypeAdapter` method, instead.
`Adapter` `createBagTypeAdapter()` Creates a new adapter for an object of class '`Bag Type`'
`Adapter` `createBooleanLiteralExp_1Adapter()` Deprecated. Since 1.3, override the `createExpressions_BooleanLiteralExpAdapter` method, instead.
`Adapter` `createBooleanLiteralExpAdapter()` Creates a new adapter for an object of class '`Boolean Literal Exp`'
`Adapter` `createCallExp_1Adapter()` Deprecated. Since 1.3, override the `createExpressions_CallExpAdapter` method, instead.
`Adapter` `createCallExpAdapter()` Creates a new adapter for an object of class '`Call Exp`'
`Adapter` `createCallingASTNodeAdapter()` Creates a new adapter for an object of class '`Calling AST Node`'
`Adapter` `createCallOperationActionAdapter()` Creates a new adapter for an object of class '`Call Operation Action`'
`Adapter` `createCollectionItem_1Adapter()` Deprecated. Since 1.3, override the `createExpressions_CollectionItemAdapter` method, instead.
`Adapter` `createCollectionItemAdapter()` Creates a new adapter for an object of class '`Collection Item`'
`Adapter` `createCollectionLiteralExp_1Adapter()` Deprecated. Since 1.3, override the `createExpressions_CollectionLiteralExpAdapter` method, instead.
`Adapter` `createCollectionLiteralExpAdapter()` Creates a new adapter for an object of class '`Collection Literal Exp`'
`Adapter` `createCollectionLiteralPart_1Adapter()` Deprecated. Since 1.3, override the `createExpressions_CollectionLiteralPartAdapter` method, instead.
`Adapter` `createCollectionLiteralPartAdapter()` Creates a new adapter for an object of class '`Collection Literal Part`'
`Adapter` `createCollectionRange_1Adapter()` Deprecated. Since 1.3, override the `createExpressions_CollectionRangeAdapter` method, instead.
`Adapter` `createCollectionRangeAdapter()` Creates a new adapter for an object of class '`Collection Range`'
`Adapter` `createCollectionType_1Adapter()` Deprecated. Since 1.3, override the `createTypes_CollectionTypeAdapter` method, instead.
`Adapter` `createCollectionTypeAdapter()` Creates a new adapter for an object of class '`Collection Type`'
`Adapter` `createConstraintAdapter()` Creates a new adapter for an object of class '`Constraint`'
`Adapter` `createEClassAdapter()` Creates a new adapter for an object of class '`EClass`'
`Adapter` `createEClassifierAdapter()` Creates a new adapter for an object of class '`EClassifier`'
`Adapter` `createEDataTypeAdapter()` Creates a new adapter for an object of class '`EData Type`'
`Adapter` `createElementType_1Adapter()` Deprecated. Since 1.3, override the `createTypes_ElementTypeAdapter` method, instead.
`Adapter` `createElementTypeAdapter()` Creates a new adapter for an object of class '`Element Type`'
`Adapter` `createEModelElementAdapter()` Creates a new adapter for an object of class '`EModel Element`'
`Adapter` `createENamedElementAdapter()` Creates a new adapter for an object of class '`ENamed Element`'
`Adapter` `createEnumLiteralExp_1Adapter()` Deprecated. Since 1.3, override the `createExpressions_EnumLiteralExpAdapter` method, instead.
`Adapter` `createEnumLiteralExpAdapter()` Creates a new adapter for an object of class '`Enum Literal Exp`'
`Adapter` `createEObjectAdapter()` Creates a new adapter for the default case
`Adapter` `createETypedElementAdapter()` Creates a new adapter for an object of class '`ETyped Element`'
`Adapter` `createExpressionInOCL_1Adapter()` Deprecated. Since 1.3, override the `createUtilities_ExpressionInOCLAdapter` method, instead.
`Adapter` `createExpressionInOCLAdapter()` Creates a new adapter for an object of class '`Expression In OCL`'
`Adapter` `createExpressions_AssociationClassCallExpAdapter()` Creates a new adapter for an object of class '`Association Class Call Exp`'
`Adapter` `createExpressions_BooleanLiteralExpAdapter()` Creates a new adapter for an object of class '`Boolean Literal Exp`'
`Adapter` `createExpressions_CallExpAdapter()` Creates a new adapter for an object of class '`Call Exp`'
`Adapter` `createExpressions_CollectionItemAdapter()` Creates a new adapter for an object of class '`Collection Item`'
`Adapter` `createExpressions_CollectionLiteralExpAdapter()` Creates a new adapter for an object of class '`Collection Literal Exp`'
`Adapter` `createExpressions_CollectionLiteralPartAdapter()` Creates a new adapter for an object of class '`Collection Literal Part`'
`Adapter` `createExpressions_CollectionRangeAdapter()` Creates a new adapter for an object of class '`Collection Range`'
`Adapter` `createExpressions_EnumLiteralExpAdapter()` Creates a new adapter for an object of class '`Enum Literal Exp`'
`Adapter` `createExpressions_FeatureCallExpAdapter()` Creates a new adapter for an object of class '`Feature Call Exp`'
`Adapter` `createExpressions_IfExpAdapter()` Creates a new adapter for an object of class '`If Exp`'
`Adapter` `createExpressions_IntegerLiteralExpAdapter()` Creates a new adapter for an object of class '`Integer Literal Exp`'
`Adapter` `createExpressions_InvalidLiteralExpAdapter()` Creates a new adapter for an object of class '`Invalid Literal Exp`'
`Adapter` `createExpressions_IterateExpAdapter()` Creates a new adapter for an object of class '`Iterate Exp`'
`Adapter` `createExpressions_IteratorExpAdapter()` Creates a new adapter for an object of class '`Iterator Exp`'
`Adapter` `createExpressions_LetExpAdapter()` Creates a new adapter for an object of class '`Let Exp`'
`Adapter` `createExpressions_LiteralExpAdapter()` Creates a new adapter for an object of class '`Literal Exp`'
`Adapter` `createExpressions_LoopExpAdapter()` Creates a new adapter for an object of class '`Loop Exp`'
`Adapter` `createExpressions_MessageExpAdapter()` Creates a new adapter for an object of class '`Message Exp`'
`Adapter` `createExpressions_NavigationCallExpAdapter()` Creates a new adapter for an object of class '`Navigation Call Exp`'
`Adapter` `createExpressions_NullLiteralExpAdapter()` Creates a new adapter for an object of class '`Null Literal Exp`'
`Adapter` `createExpressions_NumericLiteralExpAdapter()` Creates a new adapter for an object of class '`Numeric Literal Exp`'
`Adapter` `createExpressions_OCLExpressionAdapter()` Creates a new adapter for an object of class '`OCL Expression`'
`Adapter` `createExpressions_OperationCallExpAdapter()` Creates a new adapter for an object of class '`Operation Call Exp`'
`Adapter` `createExpressions_PrimitiveLiteralExpAdapter()` Creates a new adapter for an object of class '`Primitive Literal Exp`'
`Adapter` `createExpressions_PropertyCallExpAdapter()` Creates a new adapter for an object of class '`Property Call Exp`'
`Adapter` `createExpressions_RealLiteralExpAdapter()` Creates a new adapter for an object of class '`Real Literal Exp`'
`Adapter` `createExpressions_StateExpAdapter()` Creates a new adapter for an object of class '`State Exp`'
`Adapter` `createExpressions_StringLiteralExpAdapter()` Creates a new adapter for an object of class '`String Literal Exp`'
`Adapter` `createExpressions_TupleLiteralExpAdapter()` Creates a new adapter for an object of class '`Tuple Literal Exp`'
`Adapter` `createExpressions_TupleLiteralPartAdapter()` Creates a new adapter for an object of class '`Tuple Literal Part`'
`Adapter` `createExpressions_TypeExpAdapter()` Creates a new adapter for an object of class '`Type Exp`'
`Adapter` `createExpressions_UnlimitedNaturalLiteralExpAdapter()` Creates a new adapter for an object of class '`Unlimited Natural Literal Exp`'
`Adapter` `createExpressions_UnspecifiedValueExpAdapter()` Creates a new adapter for an object of class '`Unspecified Value Exp`'
`Adapter` `createExpressions_VariableAdapter()` Creates a new adapter for an object of class '`Variable`'
`Adapter` `createExpressions_VariableExpAdapter()` Creates a new adapter for an object of class '`Variable Exp`'
`Adapter` `createFeatureCallExp_1Adapter()` Deprecated. Since 1.3, override the `createExpressions_FeatureCallExpAdapter` method, instead.
`Adapter` `createFeatureCallExpAdapter()` Creates a new adapter for an object of class '`Feature Call Exp`'
`Adapter` `createIfExp_1Adapter()` Deprecated. Since 1.3, override the `createExpressions_IfExpAdapter` method, instead.
`Adapter` `createIfExpAdapter()` Creates a new adapter for an object of class '`If Exp`'
`Adapter` `createIntegerLiteralExp_1Adapter()` Deprecated. Since 1.3, override the `createExpressions_IntegerLiteralExpAdapter` method, instead.
`Adapter` `createIntegerLiteralExpAdapter()` Creates a new adapter for an object of class '`Integer Literal Exp`'
`Adapter` `createInvalidLiteralExp_1Adapter()` Deprecated. Since 1.3, override the `createExpressions_InvalidLiteralExpAdapter` method, instead.
`Adapter` `createInvalidLiteralExpAdapter()` Creates a new adapter for an object of class '`Invalid Literal Exp`'
`Adapter` `createInvalidType_1Adapter()` Deprecated. Since 1.3, override the `createTypes_InvalidTypeAdapter` method, instead.
`Adapter` `createInvalidTypeAdapter()` Creates a new adapter for an object of class '`Invalid Type`'
`Adapter` `createIterateExp_1Adapter()` Deprecated. Since 1.3, override the `createExpressions_IterateExpAdapter` method, instead.
`Adapter` `createIterateExpAdapter()` Creates a new adapter for an object of class '`Iterate Exp`'
`Adapter` `createIteratorExp_1Adapter()` Deprecated. Since 1.3, override the `createExpressions_IteratorExpAdapter` method, instead.
`Adapter` `createIteratorExpAdapter()` Creates a new adapter for an object of class '`Iterator Exp`'
`Adapter` `createLetExp_1Adapter()` Deprecated. Since 1.3, override the `createExpressions_LetExpAdapter` method, instead.
`Adapter` `createLetExpAdapter()` Creates a new adapter for an object of class '`Let Exp`'
`Adapter` `createLiteralExp_1Adapter()` Deprecated. Since 1.3, override the `createExpressions_LiteralExpAdapter` method, instead.
`Adapter` `createLiteralExpAdapter()` Creates a new adapter for an object of class '`Literal Exp`'
`Adapter` `createLoopExp_1Adapter()` Deprecated. Since 1.3, override the `createExpressions_LoopExpAdapter` method, instead.
`Adapter` `createLoopExpAdapter()` Creates a new adapter for an object of class '`Loop Exp`'
`Adapter` `createMessageExp_1Adapter()` Deprecated. Since 1.3, override the `createExpressions_MessageExpAdapter` method, instead.
`Adapter` `createMessageExpAdapter()` Creates a new adapter for an object of class '`Message Exp`'
`Adapter` `createMessageType_1Adapter()` Deprecated. Since 1.3, override the `createTypes_MessageTypeAdapter` method, instead.
`Adapter` `createMessageTypeAdapter()` Creates a new adapter for an object of class '`Message Type`'
`Adapter` `createNavigationCallExp_1Adapter()` Deprecated. Since 1.3, override the `createExpressions_NavigationCallExpAdapter` method, instead.
`Adapter` `createNavigationCallExpAdapter()` Creates a new adapter for an object of class '`Navigation Call Exp`'
`Adapter` `createNullLiteralExp_1Adapter()` Deprecated. Since 1.3, override the `createExpressions_NullLiteralExpAdapter` method, instead.
`Adapter` `createNullLiteralExpAdapter()` Creates a new adapter for an object of class '`Null Literal Exp`'
`Adapter` `createNumericLiteralExp_1Adapter()` Deprecated. Since 1.3, override the `createExpressions_NumericLiteralExpAdapter` method, instead.
`Adapter` `createNumericLiteralExpAdapter()` Creates a new adapter for an object of class '`Numeric Literal Exp`'
`Adapter` `createOCLExpression_1Adapter()` Deprecated. Since 1.3, override the `createExpressions_OCLExpressionAdapter` method, instead.
`Adapter` `createOCLExpressionAdapter()` Creates a new adapter for an object of class '`OCL Expression`'
`Adapter` `createOperationCallExp_1Adapter()` Deprecated. Since 1.3, override the `createExpressions_OperationCallExpAdapter` method, instead.
`Adapter` `createOperationCallExpAdapter()` Creates a new adapter for an object of class '`Operation Call Exp`'
`Adapter` `createOrderedSetType_1Adapter()` Deprecated. Since 1.3, override the `createTypes_OrderedSetTypeAdapter` method, instead.
`Adapter` `createOrderedSetTypeAdapter()` Creates a new adapter for an object of class '`Ordered Set Type`'
`Adapter` `createPredefinedTypeAdapter()` Creates a new adapter for an object of class '`Predefined Type`'
`Adapter` `createPrimitiveLiteralExp_1Adapter()` Deprecated. Since 1.3, override the `createExpressions_PrimitiveLiteralExpAdapter` method, instead.
`Adapter` `createPrimitiveLiteralExpAdapter()` Creates a new adapter for an object of class '`Primitive Literal Exp`'
`Adapter` `createPrimitiveType_1Adapter()` Deprecated. Since 1.3, override the `createTypes_PrimitiveTypeAdapter` method, instead.
`Adapter` `createPrimitiveTypeAdapter()` Creates a new adapter for an object of class '`Primitive Type`'
`Adapter` `createPropertyCallExp_1Adapter()` Deprecated. Since 1.3, override the `createExpressions_PropertyCallExpAdapter` method, instead.
`Adapter` `createPropertyCallExpAdapter()` Creates a new adapter for an object of class '`Property Call Exp`'
`Adapter` `createRealLiteralExp_1Adapter()` Deprecated. Since 1.3, override the `createExpressions_RealLiteralExpAdapter` method, instead.
`Adapter` `createRealLiteralExpAdapter()` Creates a new adapter for an object of class '`Real Literal Exp`'
`Adapter` `createSendSignalActionAdapter()` Creates a new adapter for an object of class '`Send Signal Action`'
`Adapter` `createSequenceType_1Adapter()` Deprecated. Since 1.3, override the `createTypes_SequenceTypeAdapter` method, instead.
`Adapter` `createSequenceTypeAdapter()` Creates a new adapter for an object of class '`Sequence Type`'
`Adapter` `createSetType_1Adapter()` Deprecated. Since 1.3, override the `createTypes_SetTypeAdapter` method, instead.
`Adapter` `createSetTypeAdapter()` Creates a new adapter for an object of class '`Set Type`'
`Adapter` `createStateExp_1Adapter()` Deprecated. Since 1.3, override the `createExpressions_StateExpAdapter` method, instead.
`Adapter` `createStateExpAdapter()` Creates a new adapter for an object of class '`State Exp`'
`Adapter` `createStringLiteralExp_1Adapter()` Deprecated. Since 1.3, override the `createExpressions_StringLiteralExpAdapter` method, instead.
`Adapter` `createStringLiteralExpAdapter()` Creates a new adapter for an object of class '`String Literal Exp`'
`Adapter` `createTupleLiteralExp_1Adapter()` Deprecated. Since 1.3, override the `createExpressions_TupleLiteralExpAdapter` method, instead.
`Adapter` `createTupleLiteralExpAdapter()` Creates a new adapter for an object of class '`Tuple Literal Exp`'
`Adapter` `createTupleLiteralPart_1Adapter()` Deprecated. Since 1.3, override the `createExpressions_TupleLiteralPartAdapter` method, instead.
`Adapter` `createTupleLiteralPartAdapter()` Creates a new adapter for an object of class '`Tuple Literal Part`'
`Adapter` `createTupleType_1Adapter()` Deprecated. Since 1.3, override the `createTypes_TupleTypeAdapter` method, instead.
`Adapter` `createTupleTypeAdapter()` Creates a new adapter for an object of class '`Tuple Type`'
`Adapter` `createTypedASTNodeAdapter()` Creates a new adapter for an object of class '`Typed AST Node`'
`Adapter` `createTypedElementAdapter()` Creates a new adapter for an object of class '`Typed Element`'
`Adapter` `createTypeExp_1Adapter()` Deprecated. Since 1.3, override the `createExpressions_TypeExpAdapter` method, instead.
`Adapter` `createTypeExpAdapter()` Creates a new adapter for an object of class '`Type Exp`'
`Adapter` `createTypes_AnyTypeAdapter()` Creates a new adapter for an object of class '`Any Type`'
`Adapter` `createTypes_BagTypeAdapter()` Creates a new adapter for an object of class '`Bag Type`'
`Adapter` `createTypes_CollectionTypeAdapter()` Creates a new adapter for an object of class '`Collection Type`'
`Adapter` `createTypes_ElementTypeAdapter()` Creates a new adapter for an object of class '`Element Type`'
`Adapter` `createTypes_InvalidTypeAdapter()` Creates a new adapter for an object of class '`Invalid Type`'
`Adapter` `createTypes_MessageTypeAdapter()` Creates a new adapter for an object of class '`Message Type`'
`Adapter` `createTypes_OrderedSetTypeAdapter()` Creates a new adapter for an object of class '`Ordered Set Type`'
`Adapter` `createTypes_PrimitiveTypeAdapter()` Creates a new adapter for an object of class '`Primitive Type`'
`Adapter` `createTypes_SequenceTypeAdapter()` Creates a new adapter for an object of class '`Sequence Type`'
`Adapter` `createTypes_SetTypeAdapter()` Creates a new adapter for an object of class '`Set Type`'
`Adapter` `createTypes_TupleTypeAdapter()` Creates a new adapter for an object of class '`Tuple Type`'
`Adapter` `createTypes_TypeTypeAdapter()` Creates a new adapter for an object of class '`Type Type`'
`Adapter` `createTypes_VoidTypeAdapter()` Creates a new adapter for an object of class '`Void Type`'
`Adapter` `createTypeType_1Adapter()` Deprecated. Since 1.3, override the `createTypes_TypeTypeAdapter` method, instead.
`Adapter` `createTypeTypeAdapter()` Creates a new adapter for an object of class '`Type Type`'
`Adapter` `createUnlimitedNaturalLiteralExp_1Adapter()` Deprecated. Since 1.3, override the `createExpressions_UnlimitedNaturalLiteralExpAdapter` method, instead.
`Adapter` `createUnlimitedNaturalLiteralExpAdapter()` Creates a new adapter for an object of class '`Unlimited Natural Literal Exp`'
`Adapter` `createUnspecifiedValueExp_1Adapter()` Deprecated. Since 1.3, override the `createExpressions_UnspecifiedValueExpAdapter` method, instead.
`Adapter` `createUnspecifiedValueExpAdapter()` Creates a new adapter for an object of class '`Unspecified Value Exp`'
`Adapter` `createUtilities_ExpressionInOCLAdapter()` Creates a new adapter for an object of class '`Expression In OCL`'
`Adapter` `createVariable_1Adapter()` Deprecated. Since 1.3, override the `createExpressions_VariableAdapter` method, instead.
`Adapter` `createVariableAdapter()` Creates a new adapter for an object of class '`Variable`'
`Adapter` `createVariableExp_1Adapter()` Deprecated. Since 1.3, override the `createExpressions_VariableExpAdapter` method, instead.
`Adapter` `createVariableExpAdapter()` Creates a new adapter for an object of class '`Variable Exp`'
`Adapter` `createVisitableAdapter()` Creates a new adapter for an object of class '`Visitable`'
`Adapter` `createVoidType_1Adapter()` Deprecated. Since 1.3, override the `createTypes_VoidTypeAdapter` method, instead.
`Adapter` `createVoidTypeAdapter()` Creates a new adapter for an object of class '`Void Type`'
`boolean` `isFactoryForType(Object object)` Returns whether this factory is applicable for the type of the object

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static EcorePackage modelPackage

  The cached model package.

### modelSwitch

    protected EcoreSwitch<Adapter> modelSwitch

  The switch that delegates to the `createXXX` methods.

Constructor Detail

### EcoreAdapterFactory

    public EcoreAdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Specified by:
    `isFactoryForType` in interface `AdapterFactory`
  Overrides:
    `isFactoryForType` in class `AdapterFactoryImpl`
  Returns:
    whether this factory is applicable for the type of the object.

### createAdapter

    public Adapter createAdapter(Notifier target)

  Creates an adapter for the `target`.

  Overrides:
    `createAdapter` in class `AdapterFactoryImpl`
  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.

### createAnyTypeAdapter

    public Adapter createAnyTypeAdapter()

  Creates a new adapter for an object of class '`Any Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AnyType`

### createBagTypeAdapter

    public Adapter createBagTypeAdapter()

  Creates a new adapter for an object of class '`Bag Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `BagType`

### createCollectionTypeAdapter

    public Adapter createCollectionTypeAdapter()

  Creates a new adapter for an object of class '`Collection Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CollectionType`

### createElementTypeAdapter

    public Adapter createElementTypeAdapter()

  Creates a new adapter for an object of class '`Element Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ElementType`

### createInvalidTypeAdapter

    public Adapter createInvalidTypeAdapter()

  Creates a new adapter for an object of class '`Invalid Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `InvalidType`

### createMessageTypeAdapter

    public Adapter createMessageTypeAdapter()

  Creates a new adapter for an object of class '`Message Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MessageType`

### createOrderedSetTypeAdapter

    public Adapter createOrderedSetTypeAdapter()

  Creates a new adapter for an object of class '`Ordered Set Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OrderedSetType`

### createPrimitiveTypeAdapter

    public Adapter createPrimitiveTypeAdapter()

  Creates a new adapter for an object of class '`Primitive Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PrimitiveType`

### createSequenceTypeAdapter

    public Adapter createSequenceTypeAdapter()

  Creates a new adapter for an object of class '`Sequence Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SequenceType`

### createSetTypeAdapter

    public Adapter createSetTypeAdapter()

  Creates a new adapter for an object of class '`Set Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SetType`

### createTupleTypeAdapter

    public Adapter createTupleTypeAdapter()

  Creates a new adapter for an object of class '`Tuple Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TupleType`

### createTypeTypeAdapter

    public Adapter createTypeTypeAdapter()

  Creates a new adapter for an object of class '`Type Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TypeType`

### createVoidTypeAdapter

    public Adapter createVoidTypeAdapter()

  Creates a new adapter for an object of class '`Void Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `VoidType`

### createCallOperationActionAdapter

    public Adapter createCallOperationActionAdapter()

  Creates a new adapter for an object of class '`Call Operation Action`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CallOperationAction`

### createConstraintAdapter

    public Adapter createConstraintAdapter()

  Creates a new adapter for an object of class '`Constraint`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Constraint`

### createSendSignalActionAdapter

    public Adapter createSendSignalActionAdapter()

  Creates a new adapter for an object of class '`Send Signal Action`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SendSignalAction`

### createExpressionInOCLAdapter

    public Adapter createExpressionInOCLAdapter()

  Creates a new adapter for an object of class '`Expression In OCL`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ExpressionInOCL`

### createAssociationClassCallExpAdapter

    public Adapter createAssociationClassCallExpAdapter()

  Creates a new adapter for an object of class '`Association Class Call Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AssociationClassCallExp`

### createBooleanLiteralExpAdapter

    public Adapter createBooleanLiteralExpAdapter()

  Creates a new adapter for an object of class '`Boolean Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `BooleanLiteralExp`

### createCallExpAdapter

    public Adapter createCallExpAdapter()

  Creates a new adapter for an object of class '`Call Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CallExp`

### createCollectionItemAdapter

    public Adapter createCollectionItemAdapter()

  Creates a new adapter for an object of class '`Collection Item`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CollectionItem`

### createCollectionLiteralExpAdapter

    public Adapter createCollectionLiteralExpAdapter()

  Creates a new adapter for an object of class '`Collection Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CollectionLiteralExp`

### createCollectionLiteralPartAdapter

    public Adapter createCollectionLiteralPartAdapter()

  Creates a new adapter for an object of class '`Collection Literal Part`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CollectionLiteralPart`

### createCollectionRangeAdapter

    public Adapter createCollectionRangeAdapter()

  Creates a new adapter for an object of class '`Collection Range`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CollectionRange`

### createEnumLiteralExpAdapter

    public Adapter createEnumLiteralExpAdapter()

  Creates a new adapter for an object of class '`Enum Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EnumLiteralExp`

### createFeatureCallExpAdapter

    public Adapter createFeatureCallExpAdapter()

  Creates a new adapter for an object of class '`Feature Call Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FeatureCallExp`

### createIfExpAdapter

    public Adapter createIfExpAdapter()

  Creates a new adapter for an object of class '`If Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IfExp`

### createIntegerLiteralExpAdapter

    public Adapter createIntegerLiteralExpAdapter()

  Creates a new adapter for an object of class '`Integer Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IntegerLiteralExp`

### createUnlimitedNaturalLiteralExpAdapter

    public Adapter createUnlimitedNaturalLiteralExpAdapter()

  Creates a new adapter for an object of class '`Unlimited Natural Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `UnlimitedNaturalLiteralExp`

### createInvalidLiteralExpAdapter

    public Adapter createInvalidLiteralExpAdapter()

  Creates a new adapter for an object of class '`Invalid Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `InvalidLiteralExp`

### createIterateExpAdapter

    public Adapter createIterateExpAdapter()

  Creates a new adapter for an object of class '`Iterate Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IterateExp`

### createIteratorExpAdapter

    public Adapter createIteratorExpAdapter()

  Creates a new adapter for an object of class '`Iterator Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IteratorExp`

### createLetExpAdapter

    public Adapter createLetExpAdapter()

  Creates a new adapter for an object of class '`Let Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LetExp`

### createLiteralExpAdapter

    public Adapter createLiteralExpAdapter()

  Creates a new adapter for an object of class '`Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LiteralExp`

### createLoopExpAdapter

    public Adapter createLoopExpAdapter()

  Creates a new adapter for an object of class '`Loop Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LoopExp`

### createMessageExpAdapter

    public Adapter createMessageExpAdapter()

  Creates a new adapter for an object of class '`Message Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MessageExp`

### createNavigationCallExpAdapter

    public Adapter createNavigationCallExpAdapter()

  Creates a new adapter for an object of class '`Navigation Call Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `NavigationCallExp`

### createNullLiteralExpAdapter

    public Adapter createNullLiteralExpAdapter()

  Creates a new adapter for an object of class '`Null Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `NullLiteralExp`

### createNumericLiteralExpAdapter

    public Adapter createNumericLiteralExpAdapter()

  Creates a new adapter for an object of class '`Numeric Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `NumericLiteralExp`

### createOCLExpressionAdapter

    public Adapter createOCLExpressionAdapter()

  Creates a new adapter for an object of class '`OCL Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OCLExpression`

### createOperationCallExpAdapter

    public Adapter createOperationCallExpAdapter()

  Creates a new adapter for an object of class '`Operation Call Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OperationCallExp`

### createPrimitiveLiteralExpAdapter

    public Adapter createPrimitiveLiteralExpAdapter()

  Creates a new adapter for an object of class '`Primitive Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PrimitiveLiteralExp`

### createPropertyCallExpAdapter

    public Adapter createPropertyCallExpAdapter()

  Creates a new adapter for an object of class '`Property Call Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PropertyCallExp`

### createRealLiteralExpAdapter

    public Adapter createRealLiteralExpAdapter()

  Creates a new adapter for an object of class '`Real Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RealLiteralExp`

### createStateExpAdapter

    public Adapter createStateExpAdapter()

  Creates a new adapter for an object of class '`State Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StateExp`

### createStringLiteralExpAdapter

    public Adapter createStringLiteralExpAdapter()

  Creates a new adapter for an object of class '`String Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StringLiteralExp`

### createTupleLiteralExpAdapter

    public Adapter createTupleLiteralExpAdapter()

  Creates a new adapter for an object of class '`Tuple Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TupleLiteralExp`

### createTupleLiteralPartAdapter

    public Adapter createTupleLiteralPartAdapter()

  Creates a new adapter for an object of class '`Tuple Literal Part`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TupleLiteralPart`

### createTypeExpAdapter

    public Adapter createTypeExpAdapter()

  Creates a new adapter for an object of class '`Type Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TypeExp`

### createUnspecifiedValueExpAdapter

    public Adapter createUnspecifiedValueExpAdapter()

  Creates a new adapter for an object of class '`Unspecified Value Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `UnspecifiedValueExp`

### createVariableAdapter

    public Adapter createVariableAdapter()

  Creates a new adapter for an object of class '`Variable`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Variable`

### createVariableExpAdapter

    public Adapter createVariableExpAdapter()

  Creates a new adapter for an object of class '`Variable Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `VariableExp`

### createEModelElementAdapter

    public Adapter createEModelElementAdapter()

  Creates a new adapter for an object of class '`EModel Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EModelElement`

### createENamedElementAdapter

    public Adapter createENamedElementAdapter()

  Creates a new adapter for an object of class '`ENamed Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ENamedElement`

### createEClassifierAdapter

    public Adapter createEClassifierAdapter()

  Creates a new adapter for an object of class '`EClassifier`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EClassifier`

### createPredefinedTypeAdapter

    public Adapter createPredefinedTypeAdapter()

  Creates a new adapter for an object of class '`Predefined Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PredefinedType`

### createTypes_AnyTypeAdapter

    public Adapter createTypes_AnyTypeAdapter()

  Creates a new adapter for an object of class '`Any Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.3
  See Also:
    `AnyType`

### createEDataTypeAdapter

    public Adapter createEDataTypeAdapter()

  Creates a new adapter for an object of class '`EData Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EDataType`

### createASTNodeAdapter

    public Adapter createASTNodeAdapter()

  Creates a new adapter for an object of class '`AST Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ASTNode`

### createTypedASTNodeAdapter

    public Adapter createTypedASTNodeAdapter()

  Creates a new adapter for an object of class '`Typed AST Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TypedASTNode`

### createTypes_CollectionTypeAdapter

    public Adapter createTypes_CollectionTypeAdapter()

  Creates a new adapter for an object of class '`Collection Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.3
  See Also:
    `CollectionType`

### createTypes_BagTypeAdapter

    public Adapter createTypes_BagTypeAdapter()

  Creates a new adapter for an object of class '`Bag Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.3
  See Also:
    `BagType`

### createEClassAdapter

    public Adapter createEClassAdapter()

  Creates a new adapter for an object of class '`EClass`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EClass`

### createTypes_ElementTypeAdapter

    public Adapter createTypes_ElementTypeAdapter()

  Creates a new adapter for an object of class '`Element Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.3
  See Also:
    `ElementType`

### createTypes_InvalidTypeAdapter

    public Adapter createTypes_InvalidTypeAdapter()

  Creates a new adapter for an object of class '`Invalid Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.3
  See Also:
    `InvalidType`

### createTypes_MessageTypeAdapter

    public Adapter createTypes_MessageTypeAdapter()

  Creates a new adapter for an object of class '`Message Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.3
  See Also:
    `MessageType`

### createTypes_OrderedSetTypeAdapter

    public Adapter createTypes_OrderedSetTypeAdapter()

  Creates a new adapter for an object of class '`Ordered Set Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.3
  See Also:
    `OrderedSetType`

### createTypes_PrimitiveTypeAdapter

    public Adapter createTypes_PrimitiveTypeAdapter()

  Creates a new adapter for an object of class '`Primitive Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.3
  See Also:
    `PrimitiveType`

### createTypes_SequenceTypeAdapter

    public Adapter createTypes_SequenceTypeAdapter()

  Creates a new adapter for an object of class '`Sequence Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.3
  See Also:
    `SequenceType`

### createTypes_SetTypeAdapter

    public Adapter createTypes_SetTypeAdapter()

  Creates a new adapter for an object of class '`Set Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.3
  See Also:
    `SetType`

### createTypes_TupleTypeAdapter

    public Adapter createTypes_TupleTypeAdapter()

  Creates a new adapter for an object of class '`Tuple Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.3
  See Also:
    `TupleType`

### createTypes_TypeTypeAdapter

    public Adapter createTypes_TypeTypeAdapter()

  Creates a new adapter for an object of class '`Type Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.3
  See Also:
    `TypeType`

### createTypes_VoidTypeAdapter

    public Adapter createTypes_VoidTypeAdapter()

  Creates a new adapter for an object of class '`Void Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.3
  See Also:
    `VoidType`

### createVisitableAdapter

    public Adapter createVisitableAdapter()

  Creates a new adapter for an object of class '`Visitable`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Visitable`

### createUtilities_ExpressionInOCLAdapter

    public Adapter createUtilities_ExpressionInOCLAdapter()

  Creates a new adapter for an object of class '`Expression In OCL`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.3
  See Also:
    `ExpressionInOCL`

### createETypedElementAdapter

    public Adapter createETypedElementAdapter()

  Creates a new adapter for an object of class '`ETyped Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ETypedElement`

### createTypedElementAdapter

    public Adapter createTypedElementAdapter()

  Creates a new adapter for an object of class '`Typed Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TypedElement`

### createExpressions_OCLExpressionAdapter

    public Adapter createExpressions_OCLExpressionAdapter()

  Creates a new adapter for an object of class '`OCL Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.3
  See Also:
    `OCLExpression`

### createCallingASTNodeAdapter

    public Adapter createCallingASTNodeAdapter()

  Creates a new adapter for an object of class '`Calling AST Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CallingASTNode`

### createExpressions_CallExpAdapter

    public Adapter createExpressions_CallExpAdapter()

  Creates a new adapter for an object of class '`Call Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.3
  See Also:
    `CallExp`

### createExpressions_FeatureCallExpAdapter

    public Adapter createExpressions_FeatureCallExpAdapter()

  Creates a new adapter for an object of class '`Feature Call Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.3
  See Also:
    `FeatureCallExp`

### createExpressions_NavigationCallExpAdapter

    public Adapter createExpressions_NavigationCallExpAdapter()

  Creates a new adapter for an object of class '`Navigation Call Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.3
  See Also:
    `NavigationCallExp`

### createExpressions_AssociationClassCallExpAdapter

    public Adapter createExpressions_AssociationClassCallExpAdapter()

  Creates a new adapter for an object of class '`Association Class Call Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.3
  See Also:
    `AssociationClassCallExp`

### createExpressions_LiteralExpAdapter

    public Adapter createExpressions_LiteralExpAdapter()

  Creates a new adapter for an object of class '`Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.3
  See Also:
    `LiteralExp`

### createExpressions_PrimitiveLiteralExpAdapter

    public Adapter createExpressions_PrimitiveLiteralExpAdapter()

  Creates a new adapter for an object of class '`Primitive Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.3
  See Also:
    `PrimitiveLiteralExp`

### createExpressions_BooleanLiteralExpAdapter

    public Adapter createExpressions_BooleanLiteralExpAdapter()

  Creates a new adapter for an object of class '`Boolean Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.3
  See Also:
    `BooleanLiteralExp`

### createExpressions_CollectionLiteralPartAdapter

    public Adapter createExpressions_CollectionLiteralPartAdapter()

  Creates a new adapter for an object of class '`Collection Literal Part`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.3
  See Also:
    `CollectionLiteralPart`

### createExpressions_CollectionItemAdapter

    public Adapter createExpressions_CollectionItemAdapter()

  Creates a new adapter for an object of class '`Collection Item`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.3
  See Also:
    `CollectionItem`

### createExpressions_CollectionLiteralExpAdapter

    public Adapter createExpressions_CollectionLiteralExpAdapter()

  Creates a new adapter for an object of class '`Collection Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.3
  See Also:
    `CollectionLiteralExp`

### createExpressions_CollectionRangeAdapter

    public Adapter createExpressions_CollectionRangeAdapter()

  Creates a new adapter for an object of class '`Collection Range`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.3
  See Also:
    `CollectionRange`

### createExpressions_EnumLiteralExpAdapter

    public Adapter createExpressions_EnumLiteralExpAdapter()

  Creates a new adapter for an object of class '`Enum Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.3
  See Also:
    `EnumLiteralExp`

### createExpressions_IfExpAdapter

    public Adapter createExpressions_IfExpAdapter()

  Creates a new adapter for an object of class '`If Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.3
  See Also:
    `IfExp`

### createExpressions_NumericLiteralExpAdapter

    public Adapter createExpressions_NumericLiteralExpAdapter()

  Creates a new adapter for an object of class '`Numeric Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.3
  See Also:
    `NumericLiteralExp`

### createExpressions_IntegerLiteralExpAdapter

    public Adapter createExpressions_IntegerLiteralExpAdapter()

  Creates a new adapter for an object of class '`Integer Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.3
  See Also:
    `IntegerLiteralExp`

### createExpressions_UnlimitedNaturalLiteralExpAdapter

    public Adapter createExpressions_UnlimitedNaturalLiteralExpAdapter()

  Creates a new adapter for an object of class '`Unlimited Natural Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.3
  See Also:
    `UnlimitedNaturalLiteralExp`

### createExpressions_InvalidLiteralExpAdapter

    public Adapter createExpressions_InvalidLiteralExpAdapter()

  Creates a new adapter for an object of class '`Invalid Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.3
  See Also:
    `InvalidLiteralExp`

### createExpressions_LoopExpAdapter

    public Adapter createExpressions_LoopExpAdapter()

  Creates a new adapter for an object of class '`Loop Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.3
  See Also:
    `LoopExp`

### createExpressions_IterateExpAdapter

    public Adapter createExpressions_IterateExpAdapter()

  Creates a new adapter for an object of class '`Iterate Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.3
  See Also:
    `IterateExp`

### createExpressions_IteratorExpAdapter

    public Adapter createExpressions_IteratorExpAdapter()

  Creates a new adapter for an object of class '`Iterator Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.3
  See Also:
    `IteratorExp`

### createExpressions_LetExpAdapter

    public Adapter createExpressions_LetExpAdapter()

  Creates a new adapter for an object of class '`Let Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.3
  See Also:
    `LetExp`

### createExpressions_MessageExpAdapter

    public Adapter createExpressions_MessageExpAdapter()

  Creates a new adapter for an object of class '`Message Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.3
  See Also:
    `MessageExp`

### createExpressions_NullLiteralExpAdapter

    public Adapter createExpressions_NullLiteralExpAdapter()

  Creates a new adapter for an object of class '`Null Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.3
  See Also:
    `NullLiteralExp`

### createExpressions_OperationCallExpAdapter

    public Adapter createExpressions_OperationCallExpAdapter()

  Creates a new adapter for an object of class '`Operation Call Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.3
  See Also:
    `OperationCallExp`

### createExpressions_PropertyCallExpAdapter

    public Adapter createExpressions_PropertyCallExpAdapter()

  Creates a new adapter for an object of class '`Property Call Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.3
  See Also:
    `PropertyCallExp`

### createExpressions_RealLiteralExpAdapter

    public Adapter createExpressions_RealLiteralExpAdapter()

  Creates a new adapter for an object of class '`Real Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.3
  See Also:
    `RealLiteralExp`

### createExpressions_StateExpAdapter

    public Adapter createExpressions_StateExpAdapter()

  Creates a new adapter for an object of class '`State Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.3
  See Also:
    `StateExp`

### createExpressions_StringLiteralExpAdapter

    public Adapter createExpressions_StringLiteralExpAdapter()

  Creates a new adapter for an object of class '`String Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.3
  See Also:
    `StringLiteralExp`

### createExpressions_TupleLiteralExpAdapter

    public Adapter createExpressions_TupleLiteralExpAdapter()

  Creates a new adapter for an object of class '`Tuple Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.3
  See Also:
    `TupleLiteralExp`

### createExpressions_TupleLiteralPartAdapter

    public Adapter createExpressions_TupleLiteralPartAdapter()

  Creates a new adapter for an object of class '`Tuple Literal Part`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.3
  See Also:
    `TupleLiteralPart`

### createExpressions_TypeExpAdapter

    public Adapter createExpressions_TypeExpAdapter()

  Creates a new adapter for an object of class '`Type Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.3
  See Also:
    `TypeExp`

### createExpressions_UnspecifiedValueExpAdapter

    public Adapter createExpressions_UnspecifiedValueExpAdapter()

  Creates a new adapter for an object of class '`Unspecified Value Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.3
  See Also:
    `UnspecifiedValueExp`

### createExpressions_VariableAdapter

    public Adapter createExpressions_VariableAdapter()

  Creates a new adapter for an object of class '`Variable`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.3
  See Also:
    `Variable`

### createExpressions_VariableExpAdapter

    public Adapter createExpressions_VariableExpAdapter()

  Creates a new adapter for an object of class '`Variable Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.3
  See Also:
    `VariableExp`

### createEObjectAdapter

    public Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.

### createAnyType_1Adapter

    @Deprecated
    public Adapter createAnyType_1Adapter()

  Deprecated. Since 1.3, override the `createTypes_AnyTypeAdapter` method, instead.

### createCollectionType_1Adapter

    @Deprecated
    public Adapter createCollectionType_1Adapter()

  Deprecated. Since 1.3, override the `createTypes_CollectionTypeAdapter` method, instead.

### createBagType_1Adapter

    @Deprecated
    public Adapter createBagType_1Adapter()

  Deprecated. Since 1.3, override the `createTypes_BagTypeAdapter` method, instead.

### createElementType_1Adapter

    @Deprecated
    public Adapter createElementType_1Adapter()

  Deprecated. Since 1.3, override the `createTypes_ElementTypeAdapter` method, instead.

### createInvalidType_1Adapter

    @Deprecated
    public Adapter createInvalidType_1Adapter()

  Deprecated. Since 1.3, override the `createTypes_InvalidTypeAdapter` method, instead.

### createMessageType_1Adapter

    @Deprecated
    public Adapter createMessageType_1Adapter()

  Deprecated. Since 1.3, override the `createTypes_MessageTypeAdapter` method, instead.

### createOrderedSetType_1Adapter

    @Deprecated
    public Adapter createOrderedSetType_1Adapter()

  Deprecated. Since 1.3, override the `createTypes_OrderedSetTypeAdapter` method, instead.

### createPrimitiveType_1Adapter

    @Deprecated
    public Adapter createPrimitiveType_1Adapter()

  Deprecated. Since 1.3, override the `createTypes_PrimitiveTypeAdapter` method, instead.

### createSequenceType_1Adapter

    @Deprecated
    public Adapter createSequenceType_1Adapter()

  Deprecated. Since 1.3, override the `createTypes_SequenceTypeAdapter` method, instead.

### createSetType_1Adapter

    @Deprecated
    public Adapter createSetType_1Adapter()

  Deprecated. Since 1.3, override the `createTypes_SetTypeAdapter` method, instead.

### createTupleType_1Adapter

    @Deprecated
    public Adapter createTupleType_1Adapter()

  Deprecated. Since 1.3, override the `createTypes_TupleTypeAdapter` method, instead.

### createTypeType_1Adapter

    @Deprecated
    public Adapter createTypeType_1Adapter()

  Deprecated. Since 1.3, override the `createTypes_TypeTypeAdapter` method, instead.

### createVoidType_1Adapter

    @Deprecated
    public Adapter createVoidType_1Adapter()

  Deprecated. Since 1.3, override the `createTypes_VoidTypeAdapter` method, instead.

### createExpressionInOCL_1Adapter

    @Deprecated
    public Adapter createExpressionInOCL_1Adapter()

  Deprecated. Since 1.3, override the `createUtilities_ExpressionInOCLAdapter` method, instead.

### createOCLExpression_1Adapter

    @Deprecated
    public Adapter createOCLExpression_1Adapter()

  Deprecated. Since 1.3, override the `createExpressions_OCLExpressionAdapter` method, instead.

### createCallExp_1Adapter

    @Deprecated
    public Adapter createCallExp_1Adapter()

  Deprecated. Since 1.3, override the `createExpressions_CallExpAdapter` method, instead.

### createFeatureCallExp_1Adapter

    @Deprecated
    public Adapter createFeatureCallExp_1Adapter()

  Deprecated. Since 1.3, override the `createExpressions_FeatureCallExpAdapter` method, instead.

### createNavigationCallExp_1Adapter

    @Deprecated
    public Adapter createNavigationCallExp_1Adapter()

  Deprecated. Since 1.3, override the `createExpressions_NavigationCallExpAdapter` method, instead.

### createAssociationClassCallExp_1Adapter

    @Deprecated
    public Adapter createAssociationClassCallExp_1Adapter()

  Deprecated. Since 1.3, override the `createExpressions_AssociationClassCallExpAdapter` method, instead.

### createLiteralExp_1Adapter

    @Deprecated
    public Adapter createLiteralExp_1Adapter()

  Deprecated. Since 1.3, override the `createExpressions_LiteralExpAdapter` method, instead.

### createPrimitiveLiteralExp_1Adapter

    @Deprecated
    public Adapter createPrimitiveLiteralExp_1Adapter()

  Deprecated. Since 1.3, override the `createExpressions_PrimitiveLiteralExpAdapter` method, instead.

### createBooleanLiteralExp_1Adapter

    @Deprecated
    public Adapter createBooleanLiteralExp_1Adapter()

  Deprecated. Since 1.3, override the `createExpressions_BooleanLiteralExpAdapter` method, instead.

### createCollectionLiteralPart_1Adapter

    @Deprecated
    public Adapter createCollectionLiteralPart_1Adapter()

  Deprecated. Since 1.3, override the `createExpressions_CollectionLiteralPartAdapter` method, instead.

### createCollectionItem_1Adapter

    @Deprecated
    public Adapter createCollectionItem_1Adapter()

  Deprecated. Since 1.3, override the `createExpressions_CollectionItemAdapter` method, instead.

### createCollectionLiteralExp_1Adapter

    @Deprecated
    public Adapter createCollectionLiteralExp_1Adapter()

  Deprecated. Since 1.3, override the `createExpressions_CollectionLiteralExpAdapter` method, instead.

### createCollectionRange_1Adapter

    @Deprecated
    public Adapter createCollectionRange_1Adapter()

  Deprecated. Since 1.3, override the `createExpressions_CollectionRangeAdapter` method, instead.

### createEnumLiteralExp_1Adapter

    @Deprecated
    public Adapter createEnumLiteralExp_1Adapter()

  Deprecated. Since 1.3, override the `createExpressions_EnumLiteralExpAdapter` method, instead.

### createIfExp_1Adapter

    @Deprecated
    public Adapter createIfExp_1Adapter()

  Deprecated. Since 1.3, override the `createExpressions_IfExpAdapter` method, instead.

### createNumericLiteralExp_1Adapter

    @Deprecated
    public Adapter createNumericLiteralExp_1Adapter()

  Deprecated. Since 1.3, override the `createExpressions_NumericLiteralExpAdapter` method, instead.

### createIntegerLiteralExp_1Adapter

    @Deprecated
    public Adapter createIntegerLiteralExp_1Adapter()

  Deprecated. Since 1.3, override the `createExpressions_IntegerLiteralExpAdapter` method, instead.

### createUnlimitedNaturalLiteralExp_1Adapter

    @Deprecated
    public Adapter createUnlimitedNaturalLiteralExp_1Adapter()

  Deprecated. Since 1.3, override the `createExpressions_UnlimitedNaturalLiteralExpAdapter` method, instead.

### createInvalidLiteralExp_1Adapter

    @Deprecated
    public Adapter createInvalidLiteralExp_1Adapter()

  Deprecated. Since 1.3, override the `createExpressions_InvalidLiteralExpAdapter` method, instead.

### createLoopExp_1Adapter

    @Deprecated
    public Adapter createLoopExp_1Adapter()

  Deprecated. Since 1.3, override the `createExpressions_LoopExpAdapter` method, instead.

### createIterateExp_1Adapter

    @Deprecated
    public Adapter createIterateExp_1Adapter()

  Deprecated. Since 1.3, override the `createExpressions_IterateExpAdapter` method, instead.

### createIteratorExp_1Adapter

    @Deprecated
    public Adapter createIteratorExp_1Adapter()

  Deprecated. Since 1.3, override the `createExpressions_IteratorExpAdapter` method, instead.

### createLetExp_1Adapter

    @Deprecated
    public Adapter createLetExp_1Adapter()

  Deprecated. Since 1.3, override the `createExpressions_LetExpAdapter` method, instead.

### createMessageExp_1Adapter

    @Deprecated
    public Adapter createMessageExp_1Adapter()

  Deprecated. Since 1.3, override the `createExpressions_MessageExpAdapter` method, instead.

### createNullLiteralExp_1Adapter

    @Deprecated
    public Adapter createNullLiteralExp_1Adapter()

  Deprecated. Since 1.3, override the `createExpressions_NullLiteralExpAdapter` method, instead.

### createOperationCallExp_1Adapter

    @Deprecated
    public Adapter createOperationCallExp_1Adapter()

  Deprecated. Since 1.3, override the `createExpressions_OperationCallExpAdapter` method, instead.

### createPropertyCallExp_1Adapter

    @Deprecated
    public Adapter createPropertyCallExp_1Adapter()

  Deprecated. Since 1.3, override the `createExpressions_PropertyCallExpAdapter` method, instead.

### createRealLiteralExp_1Adapter

    @Deprecated
    public Adapter createRealLiteralExp_1Adapter()

  Deprecated. Since 1.3, override the `createExpressions_RealLiteralExpAdapter` method, instead.

### createStateExp_1Adapter

    @Deprecated
    public Adapter createStateExp_1Adapter()

  Deprecated. Since 1.3, override the `createExpressions_StateExpAdapter` method, instead.

### createStringLiteralExp_1Adapter

    @Deprecated
    public Adapter createStringLiteralExp_1Adapter()

  Deprecated. Since 1.3, override the `createExpressions_StringLiteralExpAdapter` method, instead.

### createTupleLiteralExp_1Adapter

    @Deprecated
    public Adapter createTupleLiteralExp_1Adapter()

  Deprecated. Since 1.3, override the `createExpressions_TupleLiteralExpAdapter` method, instead.

### createTupleLiteralPart_1Adapter

    @Deprecated
    public Adapter createTupleLiteralPart_1Adapter()

  Deprecated. Since 1.3, override the `createExpressions_TupleLiteralPartAdapter` method, instead.

### createTypeExp_1Adapter

    @Deprecated
    public Adapter createTypeExp_1Adapter()

  Deprecated. Since 1.3, override the `createExpressions_TypeExpAdapter` method, instead.

### createUnspecifiedValueExp_1Adapter

    @Deprecated
    public Adapter createUnspecifiedValueExp_1Adapter()

  Deprecated. Since 1.3, override the `createExpressions_UnspecifiedValueExpAdapter` method, instead.

### createVariable_1Adapter

    @Deprecated
    public Adapter createVariable_1Adapter()

  Deprecated. Since 1.3, override the `createExpressions_VariableAdapter` method, instead.

### createVariableExp_1Adapter

    @Deprecated
    public Adapter createVariableExp_1Adapter()

  Deprecated. Since 1.3, override the `createExpressions_VariableExpAdapter` method, instead.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.